Path: API › 文件管理

`POST /files`

查询面板文件管理的操作历史记录，支持分页和关键词搜索。

## Request body

_Required._

- `action127.request_time` (string, required) — Unix 时间戳。
- `action127.request_token` (string, required) — 按 API 概览生成的签名。
- `action127.action` (string, required) — 具体操作名称。
  - one of `"GetFileHistory"`
- `action127.p` (integer, optional) — 页码，默认 `1`
- `action127.limit` (integer, optional) — 每页条数，默认 `20`
- `action127.content` (string, optional) — 搜索关键词，匹配时间和日志内容

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetFileHistory",
  "p": 0,
  "limit": 0,
  "content": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/files" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetFileHistory"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "page": "<div>...</div>",
  "data": []
}
```

- `action127.response.default.page` (string, optional) — 分页 HTML
- `action127.response.default.data` (array<unknown>, optional) — 操作日志列表


## GetFileHistory

查询面板文件管理的操作历史记录，支持分页和关键词搜索。

- **路由**：`POST /files`
- **action**：`GetFileHistory`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetFileHistory` |
| p | 否 | Integer | 页码，默认 `1` |
| limit | 否 | Integer | 每页条数，默认 `20` |
| content | 否 | String | 搜索关键词，匹配时间和日志内容 |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| page | String | 分页 HTML |
| data | Array | 操作日志列表 |

## 示例

### 请求

```
POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=GetFileHistory&p=1&limit=10
```

### 响应

```json
{"page": "<div>...</div>", "data": []}
```

